KDateInternalMonthPicker Class Reference

`#include <kdatetbl.h>`

Inherits QGridView.

## Signals

void | closeMe (int)

## Public Member Functions

| KDateInternalMonthPicker (const QDate &date, QWidget *parent, const char *name=0)
| ~KDateInternalMonthPicker ()
QSize | sizeHint () const
int | getResult () const

## Protected Member Functions

void | setupPainter (QPainter *p)
virtual void | viewportResizeEvent (QResizeEvent *)
virtual void | paintCell (QPainter *painter, int row, int col)
virtual void | contentsMousePressEvent (QMouseEvent *e)
virtual void | contentsMouseMoveEvent (QMouseEvent *e)
virtual void | contentsMouseReleaseEvent (QMouseEvent *e)

## Protected Attributes

int | result
short int | activeCol
short int | activeRow
QRect | max

## Detailed Description

A table containing month names.

It is used to pick a month directly.

Version

Id
  kdatetbl.h 565029 2006-07-22 07:30:24Z kling

Author
  Tim Gilman, Mirko Boehm

Definition at line 67 of file kdatetbl.h.

## Constructor & Destructor Documentation

KDateInternalMonthPicker::KDateInternalMonthPicker | ( | const QDate & | date,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

The constructor.

Definition at line 679 of file kdatetbl.cpp.

KDateInternalMonthPicker::~KDateInternalMonthPicker | ( |  | ) |

The destructor.

Definition at line 674 of file kdatetbl.cpp.

## Member Function Documentation

void KDateInternalMonthPicker::closeMe | ( | int |  | ) |

signal

This is send from the mouse click event handler.

void KDateInternalMonthPicker::contentsMousePressEvent | ( | QMouseEvent * | e | ) |

protected virtual

Catch mouse click and move events to paint a rectangle around the item.

Definition at line 756 of file kdatetbl.cpp.

void KDateInternalMonthPicker::contentsMouseReleaseEvent | ( | QMouseEvent * | e | ) |

protected virtual

Emit monthSelected(int) when a cell has been released.

Definition at line 823 of file kdatetbl.cpp.

int KDateInternalMonthPicker::getResult | ( |  | ) | const

Return the result.

0 means no selection (reject()), 1..12 are the months.

Definition at line 722 of file kdatetbl.cpp.

void KDateInternalMonthPicker::paintCell | ( | QPainter * | painter,
|  | int | row,
|  | int | col
| ) |  |

protected virtual

Paint a cell.

This simply draws the month names in it.

Definition at line 741 of file kdatetbl.cpp.

void KDateInternalMonthPicker::setupPainter | ( | QPainter * | p | ) |

protected

Set up the painter.

Definition at line 728 of file kdatetbl.cpp.

QSize KDateInternalMonthPicker::sizeHint | ( | void |  | ) | const

The size hint.

Definition at line 715 of file kdatetbl.cpp.

void KDateInternalMonthPicker::viewportResizeEvent | ( | QResizeEvent * |  | ) |

protected virtual

The resize event.

Definition at line 734 of file kdatetbl.cpp.

## Member Data Documentation

short int KDateInternalMonthPicker::activeCol

protected

the cell under mouse cursor when LBM is pressed

Definition at line 78 of file kdatetbl.h.

QRect KDateInternalMonthPicker::max

protected

Contains the largest rectangle needed by the month names.

Definition at line 83 of file kdatetbl.h.

int KDateInternalMonthPicker::result

protected

Store the month that has been clicked [1..12].

Definition at line 74 of file kdatetbl.h.

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys